ZFS and iSCSI

    • OMV 3.x
    • ZFS and iSCSI

      Hi guys,

      I'm a longtime user of FreeNAS but have recently been drawn to OMV. I'm currently setting up a 16 Bay server for use with our VM infrastructure. I've had to go with OMV as I'm using a RocketRaid 3740a card and there are no FreeBSD drivers available.

      What I'm trying to do create a ZFS raid Pool and then turn that into an ISCSI target. Is this possible?

      Thanks in advance

      T
    • tupoar wrote:

      What I'm trying to do create a ZFS raid Pool and then turn that into an ISCSI target. Is this possible?
      Not with the iscsitarget package that is in the Debian Jessie repos unless you install the 3.16 kernel (OMV 3 uses the backports 4.9 kernel by default). I haven't tried particular setup lately. You may want to try it in a VM first.
      omv 4.1.14 arrakis | 64 bit | 4.15 proxmox kernel | omvextrasorg 4.1.13
      omv-extras.org plugins source code and issue tracker - github

      Please read this before posting a question and this and this for docker questions.
      Please don't PM for support... Too many PMs!
    • Hi,

      Sorry to ressurect this old thread but i'm in the exact same situation. I have installed OMV 3 and kernel 3.16.0-4, installed zfs plugin, but i can't install the iscsi-target plugin;

      Display Spoiler

      >>> *************** Error ***************
      Failed to execute command 'export PATH=/bin:/sbin:/usr/bin:/usr/sbin:/usr/local/bin:/usr/local/sbin; export LANG=C; export DEBIAN_FRONTEND=noninteractive; apt-get --yes --force-yes --fix-missing --allow-unauthenticated --reinstall install openmediavault-iscsitarget 2>&1' with exit code '100': Reading package lists...


      Building dependency tree...


      Reading state information...


      Some packages could not be installed. This may mean that you have
      requested an impossible situation or if you are using the unstable
      distribution that some required packages have not yet been created
      or been moved out of Incoming.
      The following information may help to resolve the situation:


      The following packages have unmet dependencies:
      openmediavault-iscsitarget : Depends: linux-headers-amd64 but it is not going to be installed or
      linux-headers-armel but it is not installable or
      linux-headers-armhf but it is not installable or
      linux-headers-i386 but it is not installable or
      linux-headers-mips but it is not installable or
      linux-headers-mipsel but it is not installable or
      linux-headers-powerpc but it is not installable or
      linux-headers-ppc64el but it is not installable or
      linux-headers-s390 but it is not installable or
      linux-headers-s390x but it is not installable or
      linux-headers-sparc but it is not installable
      E: Unable to correct problems, you have held broken packages.


      If i try to install linux-headers-amd64 it says it needs a dependency; linux-headers-4.9.0-0.bpo.6-amd64 but it will not be installed.

      Any input greatly apreciated!